%define	name	kapacity
%define	version	0.1a
%define	release %mkrel 2

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:  	Kapacity monitoring laptop's battery
Group: 		Graphical desktop/KDE
Url:		http://kapacity.berlios.de/
License: 	GPL
Source0: 	http://download.berlios.de/kapacity/%{name}-%{version}.tar.bz2
#Source1:	%{name}-nb.po.bz2
Patch0:		%{name}-0.1-applnk-fixes.patch.bz2
Patch1:		%{name}-0.1-fix-paths.patch.bz2
#Patch2:	%{name}-0.1-nb-locale.patch.bz2
Epoch:		1
Obsoletes:	kacpi
Provides:	kacpi
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
BuildRequires:	ImageMagick

%description
Kapacity is a KDE-program that shows the power informations about the Laptop's 
battery in a window, and can dock to the kicker, near the clock.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
#%patch2 -p1
#bzcat %{SOURCE1} > po/nb.po

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#		--enable-final
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
kdedesktop2mdkmenu.pl kapacity "Applications/Monitoring" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%{name}

%{__install} -d $RPM_BUILD_ROOT{%{_miconsdir},%{_liconsdir}}
convert $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png -size 16x16 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
convert $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png -size 48x48 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post 
%update_menus

%postun 
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/ka*
%{_menudir}/%{name}
%{_datadir}/applnk/Utilities/%{name}.desktop
%{_iconsdir}/*.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1a-2mdk
- Remove redundant Buildrequires
- use mkrel

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1a-1mdk
- 0.1a
- dissable --enable-final
- drop S1 & P2 (merged upstream)
- update url

* Thu Oct 23 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.1-2mdk
- fix buildrequires
- fixed paths to /proc/acpi/* (P1)
- added nb translation (S1 & P2)

* Fri Jun 20 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.1-1mdk
- 0.1, new name and versioning, obsoletes old kacpi
- cleanups, spec file fixes
- fix missing comment and icon in .desktop file

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-0.rc7.2mdk
- Rebuild

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-0.rc7.1mdk
- 0.6.3rc7

* Mon Dec 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.3-0.rc3.1mdk
- 0.6.3

* Thu Oct 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-2mdk
- Add patch2 : disable messagebox

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-1mdk
- Update code

* Sun Sep 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.1-1mdk
- initial package

